## ots 0.4.2+cvs.2004.02.20

=== examples/Makefile ===
all: gnome-summarizer inn-prod join-art
CC = gcc

CFLAGS = -Wall			 	\
	-DG_DISABLE_DEPRECATED 	 	\
	-DGDK_DISABLE_DEPRECATED 	\
	-DGDK_PIXBUF_DISABLE_DEPRECATED \
	-DGTK_DISABLE_DEPRECATED

gnome-summarizer: gnome-summarizer.c 
	$(CC) gnome-summarizer.c -o gnome-summarizer $(CFLAGS) `pkg-config gtk+-2.0 glib-2.0 libots-1 libxml-2.0 --cflags --libs`

inn-prod: inn-prod.c
	$(CC) -g3 inn-prod.c -o inn-prod -Wall `pkg-config glib-2.0 libots-1 libxml-2.0 --cflags --libs`

join-art: join-art.c
	$(CC) -g3 join-art.c -o join-art -Wall `pkg-config glib-2.0 libots-1 libxml-2.0 --cflags --libs`

test: join-art
	./join-art articles/animals1.txt articles/animals[2-9].txt articles/animals1[0-9].txt > new_article.txt
	

clean: 
	rm -f *.o gnome-summarizer inn-prod join-art *~ new_article.txt

## ots 0.5.0

=== debian/changelog ===
ots (0.5.0-3) unstable; urgency=medium

  * QA upload.
  * Set Maintainer to Debian QA Group. (see #836472)
  * Fix the Makefile dependencies. (Closes: #906498)

 -- Adrian Bunk <bunk@debian.org>  Sat, 18 Aug 2018 02:37:25 +0300

ots (0.5.0-2.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Bump dh compat to 9 (Closes: #817612)
  * Switch to 3.0 (quilt) and add 2 simple patches instead of modifying
    source directly:
    - gtkdoc.patch
    - dic.patch
  * Switch to newer dh style rules and simplify
  * Add Vcs-* entries for collab-maint
  * Add symbols file
  * libots-dev: Install the very minimal gtk-doc html
  * Bump Standards-Version to 3.9.8

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sun, 26 Jun 2016 04:22:32 -0400

ots (0.5.0-2.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Use dh-autoreconf to support new architectures (Closes: #727254)
    (Thanks to Edmund Grimley-Evans)

 -- Wookey <wookey@debian.org>  Fri, 16 Oct 2015 02:29:37 +0000

ots (0.5.0-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * src/Makefile.in: Added -lm to ots_LDADD.  Fixed FTBFS.  Closes: #555878.
  * debian/rules: Fixed non-empty-dependency_libs-in-la-file.  Closes: #633183.
  * Fixed debhelper-but-no-misc-depends.
  * Fixed copyright-refers-to-versionless-license-file.
  * debian/control: Added Homepage field.
  * debian/watch: Added.

 -- Bart Martens <bartm@debian.org>  Thu, 06 Oct 2011 18:52:29 +0200

ots (0.5.0-2) unstable; urgency=low

  * Bumped to Standards-Version: 3.8.0.
  * Made it binNMU safe - closes: #454949

 -- Masayuki Hatta (mhatta) <mhatta@debian.org>  Thu, 17 Jul 2008 16:23:13 +0900

ots (0.5.0-1) unstable; urgency=low

  * New upstream release - closes: #429228, #290572, #333571. 
  * Relibtoolized to fix bad lib filenames without .so suffix.

 -- Masayuki Hatta (mhatta) <mhatta@debian.org>  Wed, 05 Dec 2007 03:35:17 +0900

ots (0.4.2+cvs.2004.02.20-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS with gcc-4.0 (Closes: #287886)
  * Configure with --disable-gtk-doc since it in fact doesn't build
    with gtk-doc-tools (Closes: #336046)

 -- Frank Lichtenheld <djpig@debian.org>  Sat, 29 Oct 2005 01:50:41 +0200

ots (0.4.2+cvs.2004.02.20-1) unstable; urgency=low

  * New upstream release (CVS snapshot).
  * [control] change Maintainer field.

 -- Masayuki Hatta (mhatta) <mhatta@debian.org>  Fri, 20 Feb 2004 03:41:44 +0900

ots (0.4.1+cvs.2003.10.26-1) unstable; urgency=low

  * New upstream release (CVS snapshot).
  * Acknowledged NMU (Thanks Jordi) - closes: #216229

 -- Masayuki Hatta <mhatta@debian.org>  Sun, 26 Oct 2003 12:13:46 +0900

ots (0.4.1+cvs.2003.08.30-1.1) unstable; urgency=low

  * Non-Maintainer Upload.
  * Relibtoolize to fix bad lib filenames without .so suffix.
  * debian/control: build-depend on gtk-doc-tools.
  * debian/libots0.files: adjust filenames of libs to install.
  * debian/libots-dev: install html docs.
  * debian/rules:
    + uncomment call to dh_makeshlibs, to get shlibs in libots0
      (closes: #216229).
    + rm generated docs on clean, as it's not cleaned by distclean.
    + install docs in the correct path for dh_movefiles.
  * src/Makefile.am: add $(OTS_LIBS) to libots_1_la_LIBADD, to link to all
    the required libs.

 -- Jordi Mallach <jordi@debian.org>  Thu, 23 Oct 2003 15:54:52 +0200

ots (0.4.1+cvs.2003.08.30-1) unstable; urgency=low

  * New upstream release (CVS snapshot).
  * Bumped Standards-Version to 3.6.0.

 -- Masayuki Hatta <mhatta@debian.org>  Sat, 30 Aug 2003 06:39:20 +0900

ots (0.4.1+cvs.2003.08.28-1) unstable; urgency=low

  * New upstream release (CVS snapshot).
  * Added Build-Depends: libpopt-dev (yup, I forgot it) - closes: #203772

 -- Masayuki Hatta <mhatta@debian.org>  Thu, 28 Aug 2003 17:06:05 +0900

ots (0.3.0+cvs.2003.07.27-2) unstable; urgency=low

  * Added Build-Depends: libpopt-dev - closes: #203772

 -- Masayuki Hatta <mhatta@debian.org>  Wed, 20 Aug 2003 21:49:05 +0900

ots (0.3.0+cvs.2003.07.27-1) unstable; urgency=low

  * Initial Release - closes: #202980, ,#200513

 -- Masayuki Hatta <mhatta@debian.org>  Sun, 27 Jul 2003 01:38:54 +0900

=== debian/control ===
Source: ots
Section: devel
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper (>= 8),
               dh-autoreconf,
               docbook-utils,
               gtk-doc-tools,
               libglib2.0-dev,
               libpopt-dev,
               libxml2-dev,
Standards-Version: 3.9.8
Homepage: http://libots.sourceforge.net/
Vcs-Git: https://anonscm.debian.org/git/collab-maint/ots.git
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/ots.git

Package: libots-dev
Section: libdevel
Architecture: any
Depends: libots0 (= ${binary:Version}),
         ${misc:Depends},
Description: Open Text Summarizer (development)
 OTS reads a text and decides which sentences are important and which
 are not.  Then it creates a short summary or will highlight the main
 idea in the text (the output can be HTML).  OTS is m17n'd and
 works with UTF-8 encoding.
 .
 This package contains files used for development with ots.

Package: libots0
Section: libs
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: Open Text Summarizer (library)
 OTS reads a text and decides which sentences are important and which
 are not.  Then it creates a short summary or will highlight the main
 idea in the text (the output can be HTML).  OTS is m17n'd and works
 with UTF-8 encoding.
 .
 This package contains shared library and a program (ots).

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --with autoreconf --parallel

override_dh_autoreconf:
	gtkdocize --copy
	dh_autoreconf

override_dh_auto_configure:
	dh_auto_configure -- \
		--disable-static \
		--enable-gtk-doc \
		--with-html-dir=/usr/share/gtk-doc/html

override_dh_installchangelogs:
	dh_installchangelogs ChangeLog

override_dh_clean:
	dh_clean gtk-doc.*

=== debian/watch ===
version=3
http://sf.net/libots/ots-(.*)\.tar\.gz
